FISCHE(1)

NAME
fische - standalone sound visualisation

SYNOPSIS
fische [options]

OPTIONS

-D --driver driver

    Use the specified audio input driver. Presently alsa, pulse, portaudio and dummy are supported.

-d --device device

    device names the pcm capture device to get the sound data from. On most systems, the default will do just fine. This Option is ignored with the PulseAudio driver. The PortAudio driver knows the special device help, which will spit out a list of all known devices.

-g --geometry XxY

    X and Y specify the width and height of the animation. Defaults to 800x400.

-v --virtual XxY

    X and Y specify the width and height of the application window. Use this to prevent your computer from trying to switch to non-existent fullscreen resolutions. CAUTION: when specifying a virtual geometry, set the actual geometry FIRST!

-f --fullscreen

    Start fische in fullscreen mode.

-e --extra-nervous

    Start fische in nervous mode.

-s --fps fps

    fps specifies the target frames per second. The default, 30, is what fische is designed for

-1 --single

    Use only one CPU, even if there are more available

--exit-on-mouseevent

    Exit when a mouse button is clicked (useful mainly on touchscreens)

-n --nowrite

    Do not update the configuration file with the last known working configuration.

-h --help

    Display a basic help message.

RUNTIME CONTROLS

At runtime, press P to pause, F to toggle fullscreen mode, N to toggle nervosity and ESC to quit. With the --exit-on-mouseevent flag, fische does exactly that.

KNOWN ISSUES

PortAudio is currently slow on Linux. If able, use a different driver.

On Windows, the actual frame rate is often quite different from the specified one. The actual rate is shown after exit. Use the -s flag to increase it to about 30.

TROUBLESHOOTING (Linux only)

If you get an error like "X Error of failed request: BadValue..."

    Try to start fische with the -v or --virtual flags and set X/Y to values that correspond to a fullscreen resolution that you know exists. For example: fische -g 1400x700 -v 1400x1050

If fische starts, but won't react to sound

    First of all, try a different input driver. If you are lucky, this already solves your problem.

    If not, you now have to choose which driver you would like to get working:

    pulse: Fische opens the default source as set with pavucontrol or similar tools. For example, if you would like to visualize "what's playing", set the corresponding "monitor of output XYZ" device as default.

    alsa: You might be using the wrong ALSA device. By default, fische tries to open the "default" device. It should be correctly configured on most systems, but with some soundcards you need complex ALSA configuration to achieve recording capabilities - look into the ALSA documentation. For example, soundcards with ICE1712 chips record internally produced sound on channels 10 and 11 instead of 0 and 1.

    alsa: Recording might not be enabled. Check with "alsamixer" or another mixer application. If you are trying to visualize sounds produced by an audio player, you must enable recording of what's called "PCM" on most cards. For external input, record "Line In", and so on...

    alsa: Your sound card might not support recording of your chosen source. In this case, you are in bad luck. Most notably, many C-Media based cards do not allow recording while SPDIF out is in use. You can try a setup using an "aloop" dummy card - but that process is far beyond the scope of this man page, and with most distributions, it requires kernel or ALSA re-compilation. However, in this case the PulseAudio input driver might still give you the desired results.

FILES
$HOME/.fischerc - automatically updated on clean exit.

SEE ALSO
Runtime control documentation, troubleshooting information and FAQs in the README

AUTHOR
This manual page was written by Marcel Ebmer fische@26elf.at. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2, or any later version published by the Free Software Foundation